Skip to content
vocapable.Docs

Salesforce, HubSpot and Zendesk CTI: connections, capabilities and log health

GET
/v1/workspace/contact-center/cti
curl --request GET \
--url https://api.vocapable.com/v1/workspace/contact-center/cti \
--header 'Authorization: Bearer <token>'

Successful Response

Media typeapplication/json
CcCtiOverview
object
enabled
required
Enabled
boolean
screen_pop
required
Screen Pop
boolean
call_log
required
Call Log
boolean
connections
required
Connections
Array<object>
CcCtiConnection
object
provider
required
Provider
string
Allowed values: salesforce hubspot zendesk
name
required
Name
string
installation_id
required
Any of:
string
installation_status
required
Any of:
string
account_label
required
Any of:
string
capabilities
required
Capabilities
Array<object>
CcCtiCapability
object
key
required
Key
string
Allowed values: cti.screen_pop cti.call_log cti.click_to_dial
state
required
State
string
Allowed values: available needs_platform_credentials needs_vendor_approval customer_plan_required not_supported not_built not_granted
requirement
required
Any of:
string
health
required
Any of:
CcCtiHealth

The last 7 days of call logs for one connection, and what needs a person.

object
logged
required
Logged
integer
queued
required
Queued
integer
failed
required
Failed
integer
skipped
required
Skipped
integer
issue
required
Issue
string
Allowed values: none reauthorization rate_limited failing paused not_active late
last_error
required
Any of:
string
last_success_at
required
Any of:
string format: date-time
next_retry_at
required
Any of:
string format: date-time
call_log_budget_seconds
Call Log Budget Seconds
integer
default: 60
late
Late
integer
0
waiting_over_budget
Waiting Over Budget
integer
0
oldest_waiting_since
Any of:
string format: date-time
panel_url
required
Panel Url
string
setup_doc
required
Setup Doc
string
Example
{
"connections": [
{
"provider": "salesforce",
"capabilities": [
{
"key": "cti.screen_pop",
"state": "available"
}
],
"health": {
"issue": "none",
"call_log_budget_seconds": 60,
"late": 0,
"waiting_over_budget": 0
}
}
]
}